Ticket #36121

English version crashes

Open Date: 2016-03-09 08:51 Last Update: 2020-12-23 23:52

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

A few English strings in do_cmd_write_nikki are formatted wrong and will cause a crash.

They can be fixed like this:

case NIKKI_MAXDEAPTH:
{
	fprintf(fff, _(" %2d:%02d %20s %sの最深階%d階に到達した。\n",
		" %2d:%02d %20s reached level %d of %s for the first time.\n"), hour, min, note_level, _(d_name + d_info[dungeon_type].name, num), _(num, d_name + d_info[dungeon_type].name));
	break;
}
case NIKKI_TRUMP:
{
	fprintf(fff, _(" %2d:%02d %20s %s%sの最深階を%d階にセットした。\n",
		" %2d:%02d %20s reset recall level of %s to %d %s.\n"), hour, min, note_level, _(note, d_name + d_info[num].name), _(d_name + d_info[num].name, max_dlv[num]), _(max_dlv[num], note));
	break;
}

Ticket History (3/4 Histories)

2016-03-09 08:51 Updated by: dudurin
  • New Ticket "English version crashes" created
2016-03-10 20:51 Updated by: deskull
  • Owner Update from (None) to deskull
Comment

Thank you very much for your report. I'll fix it.

2016-05-01 21:43 Updated by: deskull
  • Ticket Close date is changed to 2016-05-01 21:43
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
2020-12-23 23:52 Updated by: deskull

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login